<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="7dp"
        app:cardCornerRadius="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="18dp"
            android:paddingTop="15dp"
            android:paddingRight="18dp"
            android:paddingBottom="18dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:maxLength="10"
                    android:textColor="#ff333333"
                    android:textSize="15sp"
                    tools:text="王亚红" />

                <FrameLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:id="@+id/tv_class_job"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:background="@drawable/shape_job"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:textColor="#ffffffff"
                        android:textSize="12sp"
                        tools:text="支部书记" />
                </FrameLayout>

                <TextView
                    android:id="@+id/tv_phone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/ic_student_tel"
                    android:drawablePadding="5dp"
                    android:textColor="#ffff4330"
                    android:textSize="11sp"
                    tools:text="15566233896" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#ff999999"
                android:textSize="11sp"
                tools:text="女    朝鲜族    20210312班1组" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingTop="10dp"
                android:paddingBottom="15dp">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@drawable/ic_student_job"
                        android:drawablePadding="5dp"
                        android:text="职务"
                        android:textColor="#ff999999"
                        android:textSize="11sp" />

                    <TextView

                        android:id="@+id/tv_job"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:textColor="#ff666666"
                        android:textSize="11sp"
                        tools:text="延边珲春市新安街道团结社区书记" />

                </LinearLayout>

                <View
                    android:layout_width="0.5dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:background="#FFF0EDF1"></View>

                <LinearLayout
                    android:id="@+id/ll_sleep"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@drawable/ic_student_sleep"
                        android:drawablePadding="5dp"
                        android:text="住宿安排"
                        android:textColor="#ff999999"
                        android:textSize="11sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:drawableRight="@drawable/ic_next"
                        android:drawablePadding="7dp"
                        android:paddingLeft="17dp"
                        android:text="查看详细"
                        android:textColor="#ff999999"
                        android:textSize="11sp" />

                </LinearLayout>
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FFE6E6E6" />


            <LinearLayout
                android:id="@+id/ll_check_data"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="15dp"
                    android:drawableLeft="@drawable/ic_student_progress"
                    android:drawablePadding="10dp"
                    android:text="学习进度"
                    android:textColor="#FF989898"
                    android:textSize="13sp" />

                <ProgressBar
                    android:id="@+id/pb_student"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:max="100"
                    android:progress="0"
                    android:progressDrawable="@drawable/pb_pd_sp_downloadxml2" />

                <TextView
                    android:id="@+id/tv_pb_student"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:text="0%"
                    android:textColor="#FF347FFF"
                    android:textSize="12sp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_report"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/ic_student_check"
                    android:drawablePadding="7dp"
                    android:gravity="center"
                    android:text="报到情况："
                    android:textColor="#ff989898"
                    android:textSize="11sp" />

                <TextView
                    android:id="@+id/tv_register"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="未报到"
                    android:textColor="#FFFF4632"
                    android:textSize="11sp" />

                <TextView
                    android:id="@+id/tv_register_time"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="10dp"
                    android:gravity="center"
                    tools:text="2011年11月11日 11时11分11秒"
                    android:textColor="#FF8FC320"
                    android:textSize="11sp" />


            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll_student_logic"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableLeft="@drawable/ic_student_check"
                            android:drawablePadding="7dp"
                            android:gravity="center"
                            android:text="签到情况："
                            android:textColor="#ff989898"
                            android:textSize="11sp" />

                        <TextView
                            android:id="@+id/tv_check"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:text="未签到"
                            android:textColor="#FFFF4632"
                            android:textSize="11sp" />

                        <!--                    已签到  未开始学习  未参加考试 -->

                        <Space
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableLeft="@drawable/ic_student_exam"
                            android:drawablePadding="7dp"
                            android:gravity="center"
                            android:text="考试情况："
                            android:textColor="#ff989898"
                            android:textSize="11sp" />

                        <TextView
                            android:id="@+id/tv_join"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:text="已参加"
                            android:textColor="#FF347FFF"
                            android:textSize="11sp" />

                        <TextView
                            android:id="@+id/tv_score"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="10dp"
                            android:gravity="center"
                            android:text="0分"
                            android:textColor="#FF8FC320"
                            android:textSize="11sp" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:background="#FFE6E6E6" />

                <TextView
                    android:id="@+id/tv_leave"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@drawable/shape_leave"
                    android:paddingLeft="15dp"
                    android:paddingTop="2dp"
                    android:paddingRight="15dp"
                    android:paddingBottom="2dp"
                    android:text="学员请假"
                    android:textColor="#ff8fc320"
                    android:textSize="12sp" />
            </LinearLayout>


        </LinearLayout>

    </androidx.cardview.widget.CardView>


</LinearLayout>